Create Proxy User ACL
Proxy User ACL
Create Proxy User ACL
This endpoint allows you to create a new Proxy User ACL entry to grant access to specific services or proxies.
- The target Proxy User must not be deleted.
- The target Proxy User must not be a default proxy user (default proxy users have access to all proxies).
- For service access: proxy_user_access_type must be
service_restricted. - For proxy access: proxy_user_access_type must be
proxy_restricted.
POST
Create Proxy User ACL
Headers
Content type for the request body as application/json.
Body
application/json
Details of the Proxy User ACL to be created.
The ID of the proxy user to grant access to.
Example:
"stevejobs"
The proxy ID to grant access to (required if service_id is not provided).
Example:
"550e8400-e29b-41d4-a716-446655440001"
The service ID to grant access to (required if proxy_id is not provided).
Example:
"API-1234-5678"

